﻿using System;
using Telerik.Windows.Controls;
using System.Collections.Specialized;
using RadRibbonBarPrism.Common;
using Microsoft.Practices.Prism.Regions;

namespace RadRibbonBarPrism.Adapters
{
    public class RibbonTabAdapter : RegionAdapterBase<RadRibbonTab>
    {
        public RibbonTabAdapter(IRegionBehaviorFactory regionBehaviorFactory)
            : base(regionBehaviorFactory)
        { }


        protected override void Adapt(IRegion region, RadRibbonTab regionTarget)
        {
            region.ActiveViews.CollectionChanged += (sender, args) =>
            {
                switch (args.Action)
                {
                    case NotifyCollectionChangedAction.Add:
                        foreach (GroupDefinition group in args.NewItems)
                        {
                           RibbonAdapterHelper.AddGroupDefinition(group, regionTarget);
                        }
                        break;
                    case NotifyCollectionChangedAction.Remove:
                        foreach (GroupDefinition group in args.OldItems)
                        {
                            RibbonAdapterHelper.RemoveGroupDefinition(group, regionTarget);
                        }
                        break;
                    case NotifyCollectionChangedAction.Reset:
                        regionTarget.Items.Clear();
                        break;
                }
            };

        }


       

        protected override IRegion CreateRegion()
        {
            return new AllActiveRegion();
        }
    }
}
